summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2024-06-18 18:26:37 +0000
committer Eric Hameleers <alien@slackware.com>2024-06-18 21:07:28 +0200
commit37c7d90c9db4251cd2c969b383730a874188d13d (patch)
tree4e5751728e9d58b0a4fc2af1399d42a99239d4a0 /source/l
parent7b9726f2517d8a35c5e9b3276d2108fb7aaf59e7 (diff)
downloadcurrent-37c7d90c9db4251cd2c969b383730a874188d13d.tar.gz
current-37c7d90c9db4251cd2c969b383730a874188d13d.tar.xz
Tue Jun 18 18:26:37 UTC 202420240618182637
a/kernel-firmware-20240618_a34a7ad-noarch-1.txz: Upgraded. Temporarily rename iwlwifi-ty-a0-gf-a0-89.ucode to iwlwifi-ty-a0-gf-a0-89.bak due to issues with the mainline kernel on Raptor Lake. Thanks to denydias. ap/man-pages-6.9.1-noarch-1.txz: Upgraded. d/cmake-3.29.6-x86_64-1.txz: Upgraded. l/SDL2-2.30.4-x86_64-1.txz: Upgraded. l/editorconfig-core-c-0.12.9-x86_64-1.txz: Upgraded. l/protobuf-27.1-x86_64-2.txz: Rebuilt. Use the python bindings from PyPI as the ones included in the tarball are incomplete without further processing. Thanks to alienBOB. n/c-ares-1.31.0-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l')
-rw-r--r--source/l/SDL2/SDL2.url2
-rwxr-xr-xsource/l/protobuf/protobuf.SlackBuild21
-rw-r--r--source/l/protobuf/python-protobuf/protobuf.url1
3 files changed, 19 insertions, 5 deletions
diff --git a/source/l/SDL2/SDL2.url b/source/l/SDL2/SDL2.url
index 7b211cb48..b998de6e4 100644
--- a/source/l/SDL2/SDL2.url
+++ b/source/l/SDL2/SDL2.url
@@ -1,2 +1,2 @@
https://github.com/libsdl-org/SDL
-https://github.com/libsdl-org/SDL/releases/download/release-2.30.3/SDL2-2.30.3.tar.gz
+https://github.com/libsdl-org/SDL/releases/download/release-2.30.4/SDL2-2.30.4.tar.gz
diff --git a/source/l/protobuf/protobuf.SlackBuild b/source/l/protobuf/protobuf.SlackBuild
index fb799d078..ebc12407f 100755
--- a/source/l/protobuf/protobuf.SlackBuild
+++ b/source/l/protobuf/protobuf.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=protobuf
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -105,13 +105,26 @@ cd cmake-build
make install DESTDIR=$PKG || exit 1
cd ..
-# Install the python bindings:
-cd python
-cp -a dist/setup.py .
+# Don't use the python bindings included in the main tarball, as they are
+# incomplete without further processing. Use the ones fetched from
+# https://pypi.python.org/pypi/protobuf that are ready to go:
+PYBINDING=${PYBINDING:-$(echo $CWD/python-protobuf/protobuf-*.tar.?z | rev | cut -f 1 -d - | cut -f 3- -d . | rev)}
+tar xf $CWD/python-protobuf/protobuf-${PYBINDING}.tar.?z || exit 1
+cd protobuf-${PYBINDING}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
LDFLAGS+=" -L$TMP/$PKGNAM-$VERSION/build" \
PROTOC="$TMP/$PKGNAM-$VERSION/build/protoc" \
python3 -m build --wheel --no-isolation
python3 -m installer --destdir "$PKG" dist/*.whl
+mkdir -p $PKG/usr/doc/python-protobuf-${PYBINDING}
+cp -a \
+ *.md *.rst *.txt LICENSE PKG-INFO \
+ $PKG/usr/doc/python-protobuf-${PYBINDING}
cd ..
# Strip binaries:
diff --git a/source/l/protobuf/python-protobuf/protobuf.url b/source/l/protobuf/python-protobuf/protobuf.url
new file mode 100644
index 000000000..56c2c3337
--- /dev/null
+++ b/source/l/protobuf/python-protobuf/protobuf.url
@@ -0,0 +1 @@
+https://pypi.python.org/pypi/protobuf